<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2
        id="jhi-conhecimento-heading"
        data-cy="ConhecimentoCreateUpdateHeading"
        jhiTranslate="matrixApp.conhecimento.home.createOrEditLabel"
      >
        Criar ou editar Conhecimento
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="matrixApp.conhecimento.id" for="field_id">Id</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.conhecimento.descricao" for="field_descricao">Descricao</label>
          <input type="text" class="form-control" name="descricao" id="field_descricao" data-cy="descricao" formControlName="descricao" />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.conhecimento.competencia" for="field_competencia">Competencia</label>
          <select
            class="form-control"
            id="field_competencia"
            data-cy="competencia"
            name="competencia"
            formControlName="competencia"
            [compareWith]="compareCompetencia"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="competenciaOption" *ngFor="let competenciaOption of competenciasSharedCollection">
              {{ competenciaOption.id }}
            </option>
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.conhecimento.bloom" for="field_bloom">Bloom</label>
          <select class="form-control" id="field_bloom" data-cy="bloom" name="bloom" formControlName="bloom" [compareWith]="compareBloom">
            <option [ngValue]="null"></option>
            <option [ngValue]="bloomOption" *ngFor="let bloomOption of bloomsSharedCollection">{{ bloomOption.id }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancelar</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Salvar</span>
        </button>
      </div>
    </form>
  </div>
</div>
